<?xml version="1.0" encoding="UTF-8"?><wsdl:definitions name="ws_message_set" targetNamespace="http://soa.btn.co.id/ws_message_set/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://soa.btn.co.id/ws_message_set/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <wsdl:types>
    <xsd:schema targetNamespace="http://soa.btn.co.id/ws_message_set/">
      <xsd:element name="RequestABCS">
        <xsd:complexType>
          <xsd:sequence>
          	<xsd:element name="security" type="tns:DefaultWebSecurity"
          		maxOccurs="1" minOccurs="1" />
          	<xsd:element name="requestabcs"
          		type="tns:RequestABCSDetail" maxOccurs="1" minOccurs="0">
          	</xsd:element>
          	<xsd:element name="transactioncode" type="xsd:string" maxOccurs="1" minOccurs="1"></xsd:element>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="RequestABCSResponse">
        <xsd:complexType>
          <xsd:sequence>




          	<xsd:element name="return" type="tns:ABCSResponse"></xsd:element>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    
      <xsd:complexType name="DefaultWebSecurity">
      	<xsd:sequence>
      		<xsd:element name="appName" type="xsd:string"></xsd:element>
      		<xsd:element name="hashcode" type="xsd:string"></xsd:element>
      		<xsd:element name="clientipaddress" type="xsd:string"></xsd:element>

      		<xsd:element name="userid" maxOccurs="1" minOccurs="0">
      			<xsd:simpleType>
      				<xsd:restriction base="xsd:string">
      					<xsd:minLength value="0"></xsd:minLength>
      					<xsd:maxLength value="10"></xsd:maxLength>
      				</xsd:restriction>
      			</xsd:simpleType>
      		</xsd:element>
      	</xsd:sequence>
      </xsd:complexType>

      <xsd:complexType name="RequestABCSDetail">
      	<xsd:sequence>
      		<xsd:element name="TLBF01" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF02" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF03" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF04" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF05" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF06" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF07" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF08" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF09" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF10" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF11" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF12" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF13" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF14" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF15" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF16" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF17" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF18" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF19" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBF20" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBCUD" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBWS" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBSOV" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBFP3" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBID" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBTCD" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBTDT" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBPST" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBWC1" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBWC2" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBJSN" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBJC1" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBJC2" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBFP1" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBFP2" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBAFL" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBCUR" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBCIF" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBPRD" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBSRC" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBTPN" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBPNM" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBREN" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBIDC" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBXAT" type="xsd:string"></xsd:element>
      		<xsd:element name="TLCUR1" type="xsd:string"></xsd:element>
      		<xsd:element name="TLCUR2" type="xsd:string"></xsd:element>
      		<xsd:element name="TLCUR3" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC01" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC02" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC03" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC04" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC05" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC06" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC07" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC08" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC09" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC10" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC11" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC12" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC13" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC14" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC15" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC16" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC17" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC18" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC19" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBC20" type="xsd:string"></xsd:element>
      		<xsd:element name="TLXUFD" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBDS1" type="xsd:string"></xsd:element>
      		<xsd:element name="TLBDS2" type="xsd:string"></xsd:element>
      		<xsd:element name="RMCKC" type="xsd:string"></xsd:element>
      		<xsd:element name="RMURSI" type="xsd:string"></xsd:element>
      		<xsd:element name="RMSRC" type="xsd:string"></xsd:element>
      		<xsd:element name="RMAPID" type="xsd:string"></xsd:element>
      		<xsd:element name="RMANME" type="xsd:string"></xsd:element>
      		<xsd:element name="RMADD1" type="xsd:string"></xsd:element>
      		<xsd:element name="RMADD2" type="xsd:string"></xsd:element>
      		<xsd:element name="RMADD3" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPSTC" type="xsd:string"></xsd:element>
      		<xsd:element name="RMCNT" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPYNM" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPYID" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPAD1" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPAD2" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPAD3" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPPSC" type="xsd:string"></xsd:element>
      		<xsd:element name="RMPYCN" type="xsd:string"></xsd:element>
      		<xsd:element name="RMSEHS" type="xsd:string"></xsd:element>
      		<xsd:element name="RMSECT" type="xsd:string"></xsd:element>
      		<xsd:element name="FILLER" type="xsd:string"></xsd:element>
      		<xsd:element name="transmissionDateTime" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="DynamicFields">
      	<xsd:sequence>
      		<xsd:element name="fieldName" type="xsd:string"></xsd:element>
      		<xsd:element name="fieldValue" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="RequestRPGCall">
      	<xsd:complexType>
      		<xsd:sequence>

      			<xsd:element name="security"
      				type="tns:DefaultWebSecurity" maxOccurs="1" minOccurs="1">
      			</xsd:element>
      			<xsd:element name="requestrpg" type="tns:RequestRPGDetail" maxOccurs="1" minOccurs="0"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="RequestRPGCallResponse">
      	<xsd:complexType>
      		<xsd:sequence>






      			<xsd:element name="return" type="tns:RPGResponse"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
    
      <xsd:complexType name="RequestRPGDetail">
      	<xsd:sequence>
      		<xsd:element name="userid" type="xsd:string"></xsd:element>
      		<xsd:element name="password" type="xsd:string"></xsd:element>
      		<xsd:element name="progname" type="xsd:string"></xsd:element>
      		<xsd:element name="type" type="xsd:string"></xsd:element>
      		<xsd:element name="sequence" type="xsd:string"></xsd:element>
      		<xsd:element name="recfrom" type="xsd:string"></xsd:element>
      		<xsd:element name="recto" type="xsd:string"></xsd:element>
      		<xsd:element name="eof" type="xsd:string"></xsd:element>
      		<xsd:element name="input" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="RequestMBASE">
      	<xsd:complexType>
      		<xsd:sequence>

      			<xsd:element name="security"
      				type="tns:DefaultWebSecurity" maxOccurs="1" minOccurs="1">
      			</xsd:element>
      			<xsd:element name="requestmbase"
      				type="tns:RequestMBASEDetail" maxOccurs="1" minOccurs="0">
      			</xsd:element>

      			<xsd:element name="transactioncode" type="xsd:string" maxOccurs="1" minOccurs="1"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="RequestMBASEResponse">
      	<xsd:complexType>
      		<xsd:sequence>




      			<xsd:element name="return" type="tns:MBASEResponse"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
    
      <xsd:complexType name="RequestMBASEDetail">
      	<xsd:sequence>
      		<xsd:element name="additionalFields" type="tns:DynamicFields" maxOccurs="unbounded" minOccurs="1"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="ABCSResponse">
      	<xsd:sequence>
      		<xsd:element name="isError" type="xsd:string"></xsd:element>
      		<xsd:element name="responseCode" type="xsd:string"></xsd:element>
      		<xsd:element name="responseDescription"
      			type="xsd:string">
      		</xsd:element>
      		<xsd:element name="additionalFields" type="tns:DynamicFields" maxOccurs="unbounded" minOccurs="1"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="RPGResponse">
      	<xsd:sequence>
      		<xsd:element name="recfrom" type="xsd:string"></xsd:element>
      		<xsd:element name="recto" type="xsd:string"></xsd:element>
      		<xsd:element name="eof" type="xsd:string"></xsd:element>
      		<xsd:element name="err" type="xsd:string"></xsd:element>
      		<xsd:element name="errdesc" type="xsd:string"></xsd:element>
      		<xsd:element name="output" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="MBASEResponse">
      	<xsd:sequence>
      		<xsd:element name="isError" type="xsd:string"></xsd:element>
      		<xsd:element name="responseCode" type="xsd:string"></xsd:element>
      		<xsd:element name="responseDescription"
      			type="xsd:string">
      		</xsd:element>
      		<xsd:element name="additionalFields" type="tns:DynamicFields" maxOccurs="unbounded" minOccurs="1"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="RequestABCSRequest">
    <wsdl:part element="tns:RequestABCS" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="RequestABCSResponse">
    <wsdl:part element="tns:RequestABCSResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="RequestRPGCallRequest">
  	<wsdl:part name="parameters" element="tns:RequestRPGCall"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="RequestRPGCallResponse">
  	<wsdl:part name="parameters" element="tns:RequestRPGCallResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="RequestMBASERequest">
  	<wsdl:part name="parameters" element="tns:RequestMBASE"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="RequestMBASEResponse">
  	<wsdl:part name="parameters" element="tns:RequestMBASEResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ws_message_set">
    <wsdl:operation name="RequestABCS">
      <wsdl:input message="tns:RequestABCSRequest"/>
      <wsdl:output message="tns:RequestABCSResponse"/>
    </wsdl:operation>
    <wsdl:operation name="RequestRPGCall">
    	<wsdl:input message="tns:RequestRPGCallRequest"></wsdl:input>
    	<wsdl:output message="tns:RequestRPGCallResponse"></wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RequestMBASE">
    	<wsdl:input message="tns:RequestMBASERequest"></wsdl:input>
    	<wsdl:output message="tns:RequestMBASEResponse"></wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  
  <wsdl:binding name="ws_message_setSOAP" type="tns:ws_message_set">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="RequestABCS">
      <soap:operation soapAction="http://soa.btn.co.id/ws_message_set/RequestABCS"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RequestRPGCall">
      <soap:operation soapAction="http://soa.btn.co.id/ws_message_set/RequestRPGCall"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RequestMBASE">
      <soap:operation soapAction="http://soa.btn.co.id/ws_message_set/RequestMBASE"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ws_message_set">
    <wsdl:port binding="tns:ws_message_setSOAP" name="ws_message_setSOAP">
      <soap:address location="http://www.example.org/"/>
    </wsdl:port>
  </wsdl:service>

</wsdl:definitions>